<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('first_name', '100')->index('first_name');
            $table->string('last_name', '100')->index('last_name');
            $table->string('email', '100')->nullable();
            $table->string('password', '255')->index('password');
            $table->string('contact_number')->nullable();
            $table->string('profile_picture', '255')->nullable();
            $table->string('user_token', '255')->nullable();
            $table->tinyInteger('is_active')->default(1)->index('is_active')->comment('1=Active 0=Inactive');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
