@extends('adminpanel.default.master')
@section('title', 'Add/Edit User')
@section('content')
    <?php
    
	$label = "Create";
	$first_name = "";
	$last_name = "";
	$contact_number = "";
	$gender = null;
	$dob='';
	$is_active = false;
	$email = "";
	$password = "";
    $image ="";
	$clogo = asset('adminpanel/images/default-user.jpg');	
	$id = "";
	$isError = false;
	$formRoute = 'adminpanel.user.save';
	if(isset($data['error'])) {
		
		$isError = true;
		if($data['type']=="Edit") {
			$label = "Edit";
			$formRoute = 'adminpanel.user.update';
		}
		// dd($data);
		$first_name = $data['input']['first_name'];
		$last_name = $data['input']['last_name'];
		$email = $data['input']['email'];
		$contact_number = $data['input']['contact_number'];
        $gender =  $data['input']['gender'];
        $dob = $data['input']['dob'];
	
    } else {
     
        if ($data['type'] == 'Edit') {
            $label = 'Edit';
            $isError = false;
            // dd("2288",$data['input']);
            $id = $data['input'][0]->id;
            $first_name = $data['input'][0]['first_name'];
            $last_name = $data['input'][0]['last_name'];
            $email = $data['input'][0]['email'];
            $contact_number = $data['input'][0]['contact_number'];
            $gender =  $data['input'][0]['gender'];
            // dd('555',   $gender);
            $dob = $data['input'][0]['dob'];
            $password = $data['input'][0]['password'];
            $formRoute = 'adminpanel.user.update';
            $image = $data['input'][0]['profile_picture'];
            if($image!="" && $image!=null)
            {
                if(file_exists(public_path()."/uploads/profile_picture/".$image))
                {
                    $clogo = asset('/uploads/profile_picture/'.$image);
                }
            }
        }
    }
    
    ?>
                <div class="top-dashboard-title">
                    <div class="d-code-main">
                        <div class="d-title">
                            <h4><strong>{{ $label }} User</strong><span>|</span>Enter User details and submit </h4>
                        </div>
                    </div>
                </div>
				<div class="dashboard-content-main add-user-main">
					<div class="add-user-one-main-content">
						@if ($errors->any())
							<div class="error-message-box">
								<p>{{ $errors->first() }}</p>
							</div>
						@endif
						@if ($isError)
							<div class="error-message-box">
								<?php foreach ($data['error']->all() as $error) {
									echo '<p>' . $error . '</p>';
								} ?>
							</div>
						@endif
           				    {{ Form::open(array('route' => $formRoute, 'method' => 'post', 'enctype' => 'multipart/form-data')) }}
                            {{ Form::hidden(
                                'id', $id
                                )
                            }}
                            <div class="user-pro-detail-main-content">
                                <div class="user-pro-detail-sub-content">
                                    <div class="user-pro-detail-content">
										<div class="user-pro-detail-content-dt-one">

											<div class="user-pro-detail-content-left">
	
												<label>Profile Image </label>
	
											</div>
											<div class="user-pro-detail-content-right">
	
												<div class="user-img-main"
													style="display: flex; flex-direction: row; align-items: center; justify-content: center;">
	
													<img src="{{ $clogo }}" id="logoimg"
														style="max-width: 100%; max-height: 100%; width: auto; height: auto;">
	
													<div class="button-wrapper">
	
														<span class="label">
	
															<img
																src="{{ asset('adminpanel/images/pencil-edit-button.svg') }}">
	
														</span>
	
														{{ Form::file(
															'profile_picture',
														
															[
																'class' => 'upload-box',
														
																'id' => 'image',
														
																'placeholder' => 'Select Profile Image',
														
																'onchange' => 'displaySingleImagePreview(this, "logoimg")',
															],
														) }}
	
													</div>
	
												</div>
	
											</div>
										</div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Enter First Name</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                {{ Form::text(
                                                    'first_name', $first_name,
                                                    [
                                                        'class' => 'form-control',
                                                        'placeholder' => 'Enter First Name',
                                                        'required' => false
                                                    ]
                                                    )
                                                }}
                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Enter Last Name</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                {{ Form::text(
                                                    'last_name', $last_name,
                                                    [
                                                        'class' => 'form-control',
                                                        'placeholder' => 'Enter Last Name',
                                                        'required' => false
                                                    ]
                                                    )
                                                }}
                                            </div>
                                        </div> 
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Enter email address</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                {{ Form::email(
                                                    'email', $email,
                                                    [
                                                        'class' => 'form-control',
                                                        'placeholder' => 'Enter email address',
                                                        'required' => false
                                                    ]
                                                    )
                                                }}
                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Enter phone no.</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                {{ Form::number(
                                                    'contact_number', $contact_number,
                                                    [
                                                        'class' => 'form-control',
                                                        'placeholder' => 'Enter phone no.',
                                                        'maxlength' => 10,
                                                        'oninput' => "if(this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);",
                                                        'required' => false
                                                    ]
                                                    )
                                                }}
                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label for="gender">Gender</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <div class="form-check form-check-inline">
                                                    
                                                    <input type="radio" id="genderMale" name="gender" value="1" class="form-check-input" required  {{($gender === 1 ) ? 'checked':''}}>
                                                    <label for="genderMale" class="form-check-label">Male</label>
                                                </div>
                                                <div class="form-check form-check-inline">
                                                    <input type="radio" id="genderFemale" name="gender" value="0" class="form-check-input" required {{($gender === 0) ? 'checked':''}}>
                                                    <label for="genderFemale" class="form-check-label">Female</label>
                                                </div>
                                            </div>
                                        </div>
										
										<div class="user-pro-detail-content-dt-one">
											<div class="user-pro-detail-content-left">
												<label>Date of Birth</label>
											</div>
											<div class="user-pro-detail-content-right">
												{{ Form::date(
												
                                                    'dob', $dob, 
													[
														'class' => 'form-control',
														'required' => false
													]
												) }}
											</div>
										</div>
										
										
                                        @if($data['type'] != "Edit")
                                            <div class="user-pro-detail-content-dt-one">
                                                <div class="user-pro-detail-content-left">
                                                    <label>Enter password</label>
                                                </div>
                                                <div class="user-pro-detail-content-right">
                                                    {{ Form::password(
                                                        'password',
                                                        [
                                                            'class' => 'form-control',
                                                            'placeholder' => 'Enter password',
                                                            'required' => false
                                                        ]
                                                        )
                                                    }}
                                                </div>
                                            </div>
                                        @endif
                                    </div>
                                    <div class="next-step-btn-main">
                                        {{ Form::button(
                                            'Save',
                                            [
                                                'class' => 'next-step',
                                                'type' => 'submit'
                                            ]
                                            )
                                        }}
                                    </div>
                                </div>
                            </div>
                        {{ Form::close() }}
					</div>
				</div>
@endsection
@section('script')
<script>
   
	 var displaySingleVideoPreview = function(input, id) {
        
        if (input.files && input.files[0]) {

            console.log("66",input,id);
            var reader = new FileReader();
          
            reader.onload = function (e) {

                if (input.files[0].type.startsWith('image/')) {
                    alert("Please Select User.");
                } 
                else if (input.files[0].type.startsWith('video/')) {
                    $('img#'+id).attr('hidden', true);
                    $('video#'+id).removeAttr('hidden');
                    $('video#'+id).attr('src', e.target.result);
                }
            }

            reader.readAsDataURL(input.files[0]);
            if($('.file-upload-input')) {
                $('.file-upload-input').css('display', 'none');
            }
        }
    };
</script>
@endsection