<?php

$menu = [
    'Dashboard' => [
        'icon' => 'home.png',
        'sub' => 'dashboard',
    ],
    'User' => [
        'icon' => 'user-icon.png?' . rand(),
        'sub' => [
            'Manage User' => 'manageuser',
            'Add User' => 'adduser',
        ],
    ],

    'Log out' => [
        'icon' => 'logout.png',
        'sub' => 'logout',
    ],
];
?>
<div class="sidebar-main desktop-view">
    <div class="top-logo-main" style="color: #fff; font-weight: bold;">
        {{ config('app.name') }}
        <a href="javascript:;" class="close-sidemenu"><img src="{{ asset('adminpanel/images/side.png') }}"></a>
    </div>
    <div class="sidebar-menu-main">
        <ul>
            <?php
                        foreach($menu as $k => $v) {
                            if(is_array($v['sub'])) {
                    ?>
            <li class="child-menu">
                <a href="javascript:void(0)">
                    <span class="m-icon"><img src="{{ asset('adminpanel/images/' . $v['icon']) }}"></span>
                    <span class="menu-text"><?php echo $k; ?></span>
                    <span class="menu-arrow"></span>
                </a>
                <ul class="sub-menu">
                    <?php
                                    foreach($v['sub'] as $k1 => $v1) {
                                    ?>
                    <li><a href="{{ url('/adminpanel/' . $v1) }}">- <?php echo $k1; ?></a></li>
                    <?php } ?>
                </ul>
            </li>
            <?php
                            } else {
                    ?>
            <li>
                <a href="{{ url('/adminpanel/' . $v['sub']) }}">
                    <span class="m-icon"><img src="{{ asset('adminpanel/images/' . $v['icon']) }}"></span>
                    <span class="menu-text"><?php echo $k; ?></span>
                </a>
            </li>
            <?php
                            }
                        }
                    ?>
        </ul>
    </div>
</div>
<!-- Mobile Menu -->
<div class="sidebar-main mobile-view">
    <div class="top-logo-main" style="color: #fff; font-weight: bold;">
        {{ config('app.name') }}
        <a href="javascript:;" class="close-menu"><img src="{{ asset('adminpanel/images/side.png') }}"></a>
    </div>
    <div class="sidebar-menu-main">
        <ul>
            <?php
            foreach($menu as $k => $v) {
                if(is_array($v['sub'])) {
                ?>
            <li class="child-menu">
                <a href="#">
                    <span class="m-icon"><img src="{{ asset('adminpanel/images/' . $v['icon']) }}"></span>
                    <span class="menu-text"><?php echo $k; ?></span>
                    <span class="menu-arrow"></span>
                </a>
                <ul class="sub-menu">
                    <?php
                                        foreach($v['sub'] as $k1 => $v1) {
                                        ?>
                    <li><a href="{{ url('/adminpanel/' . $v1) }}">- <?php echo $k1; ?></a></li>
                    <?php } ?>
                </ul>
            </li>
            <?php
                } else {
                ?>
            <li>
                <a href="{{ route('adminpanel.' . $v['sub']) }}">
                    <span class="m-icon"><img src="{{ asset('adminpanel/images/' . $v['icon']) }}"></span>
                    <span class="menu-text"><?php echo $k; ?></span>
                </a>
            </li>
            <?php
                }
            }
            ?>
        </ul>
    </div>
</div>
<!-- Mobile Menu -->
