@extends('adminpanel.default.master')
@section('title', 'Manage User')
@section('content')
<div class="top-dashboard-title">
	<div class="d-code-main listing-page-head-src">
		<div class="d-title">
			<h4><strong>User </strong><span>|</span>{{ $data->total() }} User</h4> 
		

			<div class="input-group md-form form-sm form-2 pl-0"> 
    
                <div class="input-group md-form form-sm form-2 pl-0">
                    <form method="get" action="{{ route('adminpanel.user.search') }}" enctype="multipart/form-data" style="display: flex;" id="search_form">
                        <input class="form-control my-0 py-1" type="text" name="search" placeholder="Search..." aria-label="Search">
                        <div class="input-group-append">
                            <span class="input-group-text lighten-3" id="basic-text1"><i class="fas fa-search text-grey"
                                aria-hidden="true"></i></span>
                        </div>
                    </form>
                </div>
			</div>
			<div class="filter-range-picker"></div>
		</div>
	</div>
	<div class="action-btn listing-page-head-btn">
		<a href="{{ route('adminpanel.user.add') }}" class="btn-main">Add User</a>
	</div>
</div>

<div class="dashboard-content-main add-user-main listing-page-main">
	<div class="add-user-one-main-content padding-zero">
		@if(session()->has('success'))
			<div class="success-message-box">
				{{ session('success') }}
			</div>
		@endif
		@if($errors->any())
			<div class="error-message-box">
				<p>{{$errors->first()}}</p>
			</div>
		@endif
		<div class="data-table-main">
			<table id="example" class="table table-striped table-bordered" style="width:100%">
				<thead>
					<tr>
						<th>No</th>
                        {{-- <th></th> --}}
						<th>First Name</th>
						<th>Last Name</th>
						<th>Email</th>
						<th>Gender</th>
						<th>Date Of Birth</th>
						<th>Action</th>
					</tr>
				</thead>
				<tbody>
				@if(count($data) > 0)
					<?php $counter = 0; ?>
                        @foreach ($data as $d)
                            <?php $counter++; ?>
                            <tr>
                                <td>{{ $counter }}</td>
                                <td>{{ $d->first_name}}</td>
                                <td>{{ $d->last_name}}</td>
                                <td>{{ $d->email}}</td>
                                <td>{{ ($d->gender == "0") ? 'Female':'Male'}}</td>
                                <td>{{ $d->dob}}</td>

                                <td class="dropdown-td">
                                    <a href="javascript:;" data-toggle="dropdown"><img src="{{ asset('adminpanel/images/icon.png') }}"></a>
                                    <div class="dropdown-menu">
                                        <a class="dropdown-item" href="{{ url('/adminpanel/edituser/'.$d->id) }}"><span><i class="fas fa-edit"></i></span>Edit</a>
                                        <a class="dropdown-item" href="javascript:void(0)" onclick="confirmDelete('User', '{{ url('/adminpanel/deleteuser/'.$d->id) }}')"><span><i class="fas fa-trash-alt"></i></span>Delete</a>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                    @else
                    <tr>
                        <td colspan="7" align="center" >
                        User Not Found
                        </td>
                    </tr>
                    @endif
				</tbody>
			</table>
		</div>
		<div class="listing-page-main-bottom">
			<div class="listing-page-main-bottom-left">
				{{ $data->render() }}
			</div>
			<div class="listing-page-main-bottom-right">
				<div class="listing-page-main-bottom-right-drop-down"></div>
				<div class="listing-page-main-bottom-right-cnt">
					<p>Showing {{ $data->firstItem() }} - {{ $data->lastItem() }} of {{ $data->total() }}</p>
				</div>
			</div>
		</div>
	</div>
</div>
@endsection
{{-- <script src="https://code.jquery.com/jquery-3.7.1.js" integrity="sha256-eKhayi8LEQwp4NKxN+CfCh+3qOVUtJn3QNZ0TciWLP4=" crossorigin="anonymous"></script> --}}
@section('script')

<script>
	$(document).ready(function() {
		// alert("111")
		$('#example').DataTable();
	} );

</script>   
<script type="text/javascript">

    var confirmApproved = function(section, url) {
// if(confirm("Are you sure you want to delete " + section)) {
//  window.location.href = url;
// }
swal({
    title: "Are you sure?",
    text: "You want to active this " + section,
    icon: "error",
    buttons: true,
    dangerMode: true,
})
.then((willDelete) => {
    if (willDelete) {
        window.location.href = url;
    }
});
};

var confirmReject = function(section, url) {
// if(confirm("Are you sure you want to delete " + section)) {
//  window.location.href = url;
// }
swal({
    title: "Are you sure?",
    text: "You want to deactive this " + section,
    icon: "error",
    buttons: true,
    dangerMode: true,
})
.then((willDelete) => {
    if (willDelete) {
        window.location.href = url;
    }
});
};
</script>
@endsection