@extends('adminpanel.default.master')
@section('title', 'My Account')
@section('content')
<?php

    $admin      =   auth('admin')->user();
    $name       =   $admin->name;
    $email      =   $admin->email;
    $username   =   $admin->username;
    
    $password   =   "";
    $password_confirmation   =   "";

	$formRoute  =   'adminpanel.submit.myAccount';

?>
<div class="top-dashboard-title">
	<div class="d-code-main">
		<div class="d-title">
			<h4><strong>Update</strong><span>|</span>Update details and submit</h4>
		</div>
	</div>
</div>
<div class="dashboard-content-main add-user-main">
	<div class="add-user-one-main-content">
        @if(session()->has('success'))
			<div class="success-message-box">
				{{ session('success') }}
			</div>
		@endif
        @if($errors->any())
			<div class="error-message-box">
				<p>{{$errors->first()}}</p>
			</div>
		@endif
		@if(isset($data['error']))
        <div class="error-message-box">
            <?php foreach($data['error']->all() as $error) {
                echo "<p>". $error . "</p>";
            } ?>
        </div>
		@endif
		{{ Form::open(array('route' => $formRoute, 'method' => 'post', 'enctype' => 'multipart/form-data')) }}
			<div class="user-pro-detail-main-content">
				<div class="user-pro-detail-sub-content">
					<div class="user-pro-detail-content">

						<div class="user-pro-detail-content-dt-one">
							<div class="user-pro-detail-content-left">
								<label style="font-size: 20px;">Account Details</label>
							</div>
						</div>

                        <div class="user-pro-detail-content-dt-one">
							<div class="user-pro-detail-content-left">
								<label>Username</label>
							</div>
							<div class="user-pro-detail-content-right">
								{{ Form::text(
									'username',  $username,
										[
											'class' 		=> 'form-control',
											'placeholder'	=>	'Enter username',
										]
									)
								}}
							</div>
						</div>

                        <div class="user-pro-detail-content-dt-one">
							<div class="user-pro-detail-content-left">
								<label>Email</label>
							</div>
							<div class="user-pro-detail-content-right">
								{{ Form::text(
									'email',  $email,
										[
											'class' 		=> 'form-control',
											'placeholder'	=>	'Enter email',
										]
									)
								}}
							</div>
						</div>
                        <div class="user-pro-detail-content-dt-one">
							<div class="user-pro-detail-content-left">
								<label>New Password</label>
							</div>
							<div class="user-pro-detail-content-right">
								{{ Form::text(
									'password',  $password,
										[
											'class' 		=> 'form-control',
											'placeholder'	=>	'Enter password',
										]
									)
								}}
							</div>
						</div>
                        <div class="user-pro-detail-content-dt-one">
							<div class="user-pro-detail-content-left">
								<label>Confirm Password</label>
							</div>
							<div class="user-pro-detail-content-right">
								{{ Form::text(
									'password_confirmation',  $password_confirmation,
										[
											'class' 		=> 'form-control',
											'placeholder'	=>	'Enter Confirm Password',
										]
									)
								}}
							</div>
						</div>

					</div>
					
					
					<div class="next-step-btn-main">
						{{ Form::button(
								'Save',
								[
									'class' => 'next-step',
									'type' => 'submit'
								]
							)
						}}
					</div>
				</div>
			</div>
		{{ Form::close() }}
	</div>
</div>
@endsection
