@extends('adminpanel.default.master')
@section('title', 'Edit Page')
@section('content')
<?php
	$label 			= 	"Edit";
	$formRoute 		= 	'adminpanel.staticpage.update';
	$defaultImage	= 	URL::asset('adminpanel/images/default-user.jpg');
	$image			= 	$defaultImage;
	$isError 		= 	false;
    $totalLogos     =   0;
    $logos          =   array();
    $home_video     =   "";

	if(isset($data['type']) && $data['type'] == "Edit"){
        if($data['data']->id == 7){
            $logos      =   $data['companyLogos'];
        }
		$data 					=	$data['data'];
		$id         			= 	$data->id;
		$page_header			= 	$data->page_header;
		$page_title				= 	$data->page_title;
		$content				= 	$data->content;
		$meta_keywords			= 	$data->meta_keywords;
		$meta_description		= 	$data->meta_description;
		$image 					= 	asset('uploads/staticpage/'.$data->image);
		$contact_location		= 	$data->contact_location;
		$contact_email			= 	$data->contact_email;
		$contact_phone			= 	$data->contact_phone;
		$contact_location_map	= 	$data->contact_location_map;
        $home_video             =   $data->home_video;
	}



	if(isset($data['error']))
	{
		$isError = true;

		$id 					=	$data['input']['id'];
		$page_header			= 	$data['input']['page_header'];
		$page_title				= 	$data['input']['page_title'];
		$content				= 	$data['input']['content'];
		$meta_keywords			= 	$data['input']['meta_keywords'];
		$meta_description		= 	$data['input']['meta_description'];
		if($id == 2){
            $contact_location		= 	$data['input']['contact_location'];
			$contact_email			= 	$data['input']['contact_email'];
			$contact_phone			= 	$data['input']['contact_phone'];
			$contact_location_map	= 	$data['input']['contact_location_map'];
		}
        if($id == 7){
            $home_video         =   $data['input']['home_video'];
        }

	}
?>
<style>
    .company-logos .row{
        width: 100%;
        margin-left: 0px;
        align-items: center;
    }
    .btn-delete-logo{
        position: relative;
        z-index: 999;
    }
    .logo-data{
        margin-bottom: 15px;
    }
</style>
<div class="top-dashboard-title">
	<div class="d-code-main">
		<div class="d-title">
			<h4><strong>{{ $label }} Page</strong><span>|</span>Enter Page details and submit </h4>
		</div>
	</div>
</div>
<div class="dashboard-content-main add-user-main">
	<div class="add-user-one-main-content">
		@if(session()->has('success'))
			<div class="success-message-box">
				{{ session('success') }}
			</div>
		@endif
		@if($errors->any())
			<div class="error-message-box">
				<p>{{$errors->first()}}</p>
			</div>
		@endif
		@if($isError)
			<div class="error-message-box">
				<?php foreach($data['error']->all() as $error) {
					echo "<p>". $error . "</p>";
				} ?>
			</div>
		@endif
		{{ Form::open(array('route' => $formRoute, 'method' => 'post', 'enctype' => 'multipart/form-data', 'id' => 'mainForm')) }}
			{{ Form::hidden(
				'id', $id
				)
			}}
			<div class="user-pro-detail-main-content">
				<div class="user-pro-detail-sub-content">
					<div class="user-pro-detail-content">

						<div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Select Image</label>
                            </div>
                            <div class="user-pro-detail-content-right">
                                <div class="user-img-main" style="display: flex; flex-direction: row; align-items: center; justify-content: center;">
                                    <img src="{{ $image }}" id="useimg" style="max-width: 100%; max-height: 100%; width: auto; height: auto;">
                                    <div class="button-wrapper">
                                         <i class="fas fa-edit"></i>
                                        <input type="file" name="image" id="upload" class="upload-box" placeholder="Upload File" onchange="displaySingleImagePreview(this, 'useimg')">
                                    </div>
                                </div>
                            </div>
                        </div>

						<div class="user-pro-detail-content-dt-one">
							<div class="user-pro-detail-content-left">
								<label>Page Header</label>
							</div>
							<div class="user-pro-detail-content-right">
								{{ Form::text(
										'page_header', $page_header,
										[
											'class' 		=> 'form-control',
											'placeholder' 	=> 'Enter page header',
											'required' 		=> true
										]
									)
								}}
							</div>
						</div>

						<div class="user-pro-detail-content-dt-one">
							<div class="user-pro-detail-content-left">
								<label>Page Title</label>
							</div>
							<div class="user-pro-detail-content-right">
								{{ Form::text(
										'page_title', $page_title,
										[
											'class' 		=> 'form-control',
											'placeholder' 	=> 'Enter page title',
											'required' 		=> true
										]
									)
								}}
							</div>
						</div>

                        <div class="user-pro-detail-content-dt-one">
							<div class="user-pro-detail-content-left">
								<label>Meta Keywords</label>
							</div>
							<div class="user-pro-detail-content-right">
								{{ Form::textarea(
										'meta_keywords', $meta_keywords,
										[
											'class' 		=> 'form-control',
											'placeholder' 	=> 'Enter meta keywords',
											'required' 		=> true
										]
									)
								}}
							</div>
						</div>
                        
                        <div class="user-pro-detail-content-dt-one">
							<div class="user-pro-detail-content-left">
								<label>Meta Description</label>
							</div>
							<div class="user-pro-detail-content-right">
								{{ Form::textarea(
										'meta_description', $meta_description,
										[
											'class' 		=> 'form-control',
											'placeholder' 	=> 'Enter meta description',
											'required' 		=> true
										]
									)
								}}
							</div>
						</div>


						<div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Page Content</label>
                            </div>
                            <div class="user-pro-detail-content-right">
                                {{ Form::textarea(
                                    'content', $content,
                                    [
                                        'class' => 'form-control',
                                        'placeholder' => 'Enter content',
                                        'required' => false
                                    ]
                                    )
                                }}
                            </div>
                        </div>


                        @if($id == 2)

                        	<div class="user-pro-detail-content-dt-one">
								<div class="user-pro-detail-content-left">
									<label>Contact Address</label>
								</div>
								<div class="user-pro-detail-content-right">
									{{ Form::text(
											'contact_location', $contact_location,
											[
												'class' 		=> 'form-control',
												'placeholder' 	=> 'Enter address',
												'required' 		=> true
											]
										)
									}}
								</div>
							</div>

							<div class="user-pro-detail-content-dt-one">
								<div class="user-pro-detail-content-left">
									<label>Contact email</label>
								</div>
								<div class="user-pro-detail-content-right">
									{{ Form::text(
											'contact_email', $contact_email,
											[
												'class' 		=> 'form-control',
												'placeholder' 	=> 'Enter contact email',
												'required' 		=> true
											]
										)
									}}
								</div>
							</div>

							<div class="user-pro-detail-content-dt-one">
								<div class="user-pro-detail-content-left">
									<label>Contact Phone</label>
								</div>
								<div class="user-pro-detail-content-right">
									{{ Form::text(
											'contact_phone', $contact_phone,
											[
												'class' 		=> 'form-control',
												'placeholder' 	=> 'Enter contact phone',
												'required' 		=> true
											]
										)
									}}
								</div>
							</div>

							<div class="user-pro-detail-content-dt-one">
								<div class="user-pro-detail-content-left">
									<label>Contact Location Map</label>
								</div>
								<div class="user-pro-detail-content-right">
									{{ Form::text(
											'contact_location_map', $contact_location_map,
											[
												'class' 		=> 'form-control',
												'placeholder' 	=> 'Enter embedded map',
												'required' 		=> true
											]
										)
									}}
								</div>
							</div>


                        @endif

                        @if($id == 7)

                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Video URL</label>
                            </div>
                            <div class="user-pro-detail-content-right">
                                {{ Form::text(
                                    'home_video', $home_video,
                                    [
                                        'class' => 'form-control',
                                        'placeholder' => 'Enter Video URL',
                                        'required' => true
                                    ]
                                    )
                                }}
                            </div>
                        </div>

                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Company Logos</label>
                            </div>
                            <div class="user-pro-detail-content-right company-logos">
                                @if(count($logos) > 0)
                                    @foreach ($logos as $logo)
                                    <div class="row logo-data logo-data-{{ $totalLogos }}">
                                        <div class="col-8 row">
                                            <input type="hidden" name="oldlogos[id][]" value="{{ $logo->id }}">
                                            <input type="text" name="oldlogos[name][]" class="form-control col-12" placeholder="Company Name" value="{{ $logo->name }}">
                                            <input type="text" name="oldlogos[link][]" class="form-control col-12" placeholder="Company Link" value="{{ $logo->link }}">
                                        </div>
                                        <div class="col-3">
                                            <div class="user-img-main " style="display: flex; flex-direction: row; align-items: center; justify-content: center;">
                                                <img src="{{ asset('uploads/companylogo/'.$logo->image) }}" id="useimg{{ $totalLogos }}" style="max-width: 100%; max-height: 100%; width: auto; height: auto;">
                                                <div class="button-wrapper">
                                                        <i class="fas fa-edit"></i>
                                                    <input type="file" name="oldlogos[image][]" id="upload" class="upload-box" placeholder="Upload File" onchange="displaySingleImagePreview(this, 'useimg{{ $totalLogos }}}')">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-1">
                                            <button class="btn btn-danger btn-delete-logo deleteLogoBtn" type="button" onclick="removeLogo({{ $totalLogos }})">
                                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-trash" viewBox="0 0 16 16">
                                                    <path d="M5.5 5.5A.5.5 0 0 1 6 6v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5Zm2.5 0a.5.5 0 0 1 .5.5v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5Zm3 .5a.5.5 0 0 0-1 0v6a.5.5 0 0 0 1 0V6Z"/>
                                                    <path d="M14.5 3a1 1 0 0 1-1 1H13v9a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V4h-.5a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1H6a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1h3.5a1 1 0 0 1 1 1v1ZM4.118 4 4 4.059V13a1 1 0 0 0 1 1h6a1 1 0 0 0 1-1V4.059L11.882 4H4.118ZM2.5 3h11V2h-11v1Z"/>
                                                </svg>
                                            </button>
                                        </div>
                                    </div>
                                    <?php $totalLogos++; ?>
                                    @endforeach
                                @endif
                                {{-- <div class="row logo-data">
                                    <div class="col-8 row">
                                        <input type="text" name="logos['name'][]" class="form-control col-12" placeholder="Company Name">
                                        <input type="text" name="logos['link'][]" class="form-control col-12" placeholder="Company Logo">
                                    </div>
                                    <div class="col-3">
                                        <div class="user-img-main" style="display: flex; flex-direction: row; align-items: center; justify-content: center;">
                                            <img src="{{ $defaultImage }}" id="useimg" style="max-width: 100%; max-height: 100%; width: auto; height: auto;">
                                            <div class="button-wrapper">
                                                 <i class="fas fa-edit"></i>
                                                <input type="file" name="logos['image'][]" id="upload" class="upload-box" placeholder="Upload File" onchange="displaySingleImagePreview(this, 'useimg')">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-1">
                                        <button class="btn btn-danger btn-delete-logo" type="button">
                                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-trash" viewBox="0 0 16 16">
                                                <path d="M5.5 5.5A.5.5 0 0 1 6 6v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5Zm2.5 0a.5.5 0 0 1 .5.5v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5Zm3 .5a.5.5 0 0 0-1 0v6a.5.5 0 0 0 1 0V6Z"/>
                                                <path d="M14.5 3a1 1 0 0 1-1 1H13v9a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V4h-.5a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1H6a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1h3.5a1 1 0 0 1 1 1v1ZM4.118 4 4 4.059V13a1 1 0 0 0 1 1h6a1 1 0 0 0 1-1V4.059L11.882 4H4.118ZM2.5 3h11V2h-11v1Z"/>
                                            </svg>
                                        </button>
                                    </div>
                                </div> --}}

                            </div>
                        </div>
                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <button type="button" class="btn btn-primary" id="addLogoBtn">Add Logo</button>
                            </div>
                        </div>
                        @endif

					</div>
					<div class="next-step-btn-main">
						{{ Form::button(
								'Save',
								[
									'class' => 'next-step',
									'type' => 'submit'
								]
							)
						}}
					</div>
				</div>
			</div>
		{{ Form::close() }}
	</div>
</div>
<!-- <script type="text/javascript">
	CKEDITOR.replace( 'content' );
</script> -->
<script>
    var defaultImage    = "{{ $defaultImage }}";
    var totalLogos      = "{{ $totalLogos }}";
    var addLogoBtn  =   document.getElementById('addLogoBtn');
    addLogoBtn.addEventListener('click', function(){
        totalLogos++;
        var html = `<div class="row logo-data logo-data-${totalLogos}">
                        <div class="col-8 row">
                            <input type="text" name="newlogos[name][]" class="form-control col-12" placeholder="Company Name">
                            <input type="text" name="newlogos[link][]" class="form-control col-12" placeholder="Company Link">
                        </div>
                        <div class="col-3">
                            <div class="user-img-main" style="display: flex; flex-direction: row; align-items: center; justify-content: center;">
                                <img src="${defaultImage}" id="useimg${totalLogos}" style="max-width: 100%; max-height: 100%; width: auto; height: auto;">
                                <div class="button-wrapper">
                                        <i class="fas fa-edit"></i>
                                    <input type="file" name="newlogos[image][]" required id="upload" class="upload-box" placeholder="Upload File" onchange="displaySingleImagePreview(this, 'useimg${totalLogos}')">
                                </div>
                            </div>
                        </div>
                        <div class="col-1">
                            <button class="btn btn-danger btn-delete-logo deleteLogoBtn" type="button" onclick="removeLogo(${totalLogos})">
                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-trash" viewBox="0 0 16 16">
                                    <path d="M5.5 5.5A.5.5 0 0 1 6 6v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5Zm2.5 0a.5.5 0 0 1 .5.5v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5Zm3 .5a.5.5 0 0 0-1 0v6a.5.5 0 0 0 1 0V6Z"/>
                                    <path d="M14.5 3a1 1 0 0 1-1 1H13v9a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V4h-.5a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1H6a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1h3.5a1 1 0 0 1 1 1v1ZM4.118 4 4 4.059V13a1 1 0 0 0 1 1h6a1 1 0 0 0 1-1V4.059L11.882 4H4.118ZM2.5 3h11V2h-11v1Z"/>
                                </svg>
                            </button>
                        </div>
                    </div>`;
        $(".company-logos").append(html);

    });

    function removeLogo(id){
        $(".logo-data-"+id).remove();
    }

    function validateForm() {
        var imageInputs = document.querySelectorAll('input[name^="newlogos[image]"]');
        var isValid = true;

        for (var i = 0; i < imageInputs.length; i++) {
            if (!imageInputs[i].value) {
                isValid = false;
                break;
            }
        }

        if (!isValid) {
            alert("Please select an image for all logo entries.");
        }

        return isValid;
    }

    document.getElementById('mainForm').addEventListener('submit', function (e) {
        if (!validateForm()) {
            e.preventDefault();
        }
    });
</script>
@endsection
