<?php $__env->startSection('title', 'Add/Edit University'); ?>
<?php $__env->startSection('content'); ?>
    <?php
    
    $label = 'Create';
    $first_name = '';
    $last_name = '';
    $contact_number = '';
    $gender = null;
    $dob = '';
    $is_active = false;
    $email = '';
    $password = '';
    $image = '';
    $clogo = asset('adminpanel/images/default-user.jpg');
    $id = '';
    $isError = false;
    $formRoute = 'adminpanel.user.save';
    if (isset($data['error'])) {
        $isError = true;
        if ($data['type'] == 'Edit') {
            $label = 'Edit';
            $formRoute = 'adminpanel.user.update';
        }
        
        $first_name = $data['input']['first_name'];
        $last_name = $data['input']['last_name'];
        $email = $data['input']['email'];
        $contact_number = $data['input']['contact_number'];
        $gender = $data['input']['gender'];
        $dob = $data['input']['dob'];
    } else {
        if ($data['type'] == 'Edit') {
            $label = 'Edit';
            $isError = false;
            $id = $data['input'][0]->id;
            $first_name = $data['input'][0]['first_name'];
            $last_name = $data['input'][0]['last_name'];
            $email = $data['input'][0]['email'];
            $contact_number = $data['input'][0]['contact_number'];
            $gender = $data['input'][0]['gender'];
            $dob = $data['input'][0]['dob'];
            $password = $data['input'][0]['password'];
            $formRoute = 'adminpanel.user.update';
            $image = $data['input'][0]['profile_picture'];
            if ($image != '' && $image != null) {
                if (file_exists(public_path() . '/uploads/profile_picture/' . $image)) {
                    $clogo = asset('/uploads/profile_picture/' . $image);
                }
            }
        }
    }
    
    ?>
    <div class="top-dashboard-title">
        <div class="d-code-main">
            <div class="d-title">
                <h4><strong><?php echo e($label); ?> University</strong><span>|</span>Enter University details and submit </h4>
            </div>
        </div>
    </div>
    <div class="dashboard-content-main add-user-main">
        <div class="add-user-one-main-content">
            <?php if($errors->any()): ?>
                <div class="error-message-box">
                    <p><?php echo e($errors->first()); ?></p>
                </div>
            <?php endif; ?>
            <?php if($isError): ?>
                <div class="error-message-box">
                    <?php foreach ($data['error']->all() as $error) {
                        echo '<p>' . $error . '</p>';
                    } ?>
                </div>
            <?php endif; ?>

            <form action="<?php echo e(route($formRoute)); ?>" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <input type="hidden" name="id" value="<?php echo e($id); ?>">
                <div class="user-pro-detail-main-content">
                    <div class="user-pro-detail-sub-content">
                        <div class="user-pro-detail-content">

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Name</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" name="name" class="form-control"
                                        placeholder="Enter University name" value="<?php echo e(old('name')); ?>">
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Description</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <textarea name="descritpion" cols="30" rows="5" class="form-control" placeholder="Description"><?php echo e(old('description')); ?></textarea>

                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Type</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <select name="type" class="form-control col-5">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = App\Models\University::TYPES; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value => $display): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($value); ?>"><?php echo e($display); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>



                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Location</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" name="location" class="form-control" placeholder="Enter Location"
                                        value="<?php echo e(old('location')); ?>">
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Zip Code</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" name="zip_code" class="form-control col-5"
                                        placeholder="Enter Zip code" value="<?php echo e(old('zip_code')); ?>">
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Region</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <select name="region" class="form-control col-5">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = App\Models\University::REGIONS; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($value); ?>"
                                                <?php echo e(old('region') == $value ? 'selected' : ''); ?>><?php echo e($value); ?>

                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Image </label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <div class="user-img-main"
                                        style="display: flex; flex-direction: row; align-items: center; justify-content: center;">
                                        <img src="<?php echo e($clogo); ?>" id="bg_image_preview"
                                            style="max-width: 100%; max-height: 100%; width: auto; height: auto;">
                                        <div class="button-wrapper">
                                            <span class="label">
                                                <img src="<?php echo e(asset('adminpanel/images/pencil-edit-button.svg')); ?>">
                                            </span>
                                            <input type="file" name="background_image" id="background_image"
                                                class='upload-box'
                                                onchange='displaySingleImagePreview(this, "bg_image_preview")'>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Logo Image</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <div class="user-img-main"
                                        style="display: flex; flex-direction: row; align-items: center; justify-content: center;">
                                        <img src="<?php echo e($clogo); ?>" id="logo_image_preview"
                                            style="max-width: 100%; max-height: 100%; width: auto; height: auto;">
                                        <div class="button-wrapper">
                                            <span class="label">
                                                <img src="<?php echo e(asset('adminpanel/images/pencil-edit-button.svg')); ?>">
                                            </span>
                                            <input type="file" name="logo" id="logo" class='upload-box'
                                                onchange='displaySingleImagePreview(this, "logo_image_preview")'>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Rank</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" name="rank" class="form-control col-4"
                                        placeholder="Enter Rank" value="<?php echo e(old('rank')); ?>">
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Student to faculty ratio</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" name="student_to_faculty_ratio" class="form-control col-4"
                                        placeholder="Student to faculty ratio"
                                        value="<?php echo e(old('student_to_faculty_ratio')); ?>">
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Acceptance rate</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="number" name="acceptance_rate" class="form-control col-4"
                                        placeholder="Enter %" value="<?php echo e(old('acceptance_rate')); ?>">
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>States</label>
                                </div>

                                <div class="user-pro-detail-content-right">
                                    <div class="form-row">
                                        <div class="form-group col">
                                            <label for="inputREG">REG</label>
                                            <input type="text" name="stat_REG" class="form-control" id="inputREG"
                                                value="<?php echo e(old('stat_REG')); ?>">
                                        </div>
                                        <div class="form-group col">
                                            <label for="inputEA">EA</label>
                                            <input type="text" name="stat_EA" class="form-control" id="inputEA"
                                                value="<?php echo e(old('stat_EA')); ?>">
                                        </div>
                                        <div class="form-group col">
                                            <label for="inputrolling">Rolling</label>
                                            <input type="text" name="stat_rolling" class="form-control"
                                                id="inputrolling" value="<?php echo e(old('stat_rolling')); ?>">
                                        </div>
                                        <div class="form-group col">
                                            <label for="inputPD">PD</label>
                                            <input type="text" name="stat_PD" class="form-control" id="inputPD"
                                                value="<?php echo e(old('stat_PD')); ?>">
                                        </div>
                                        <div class="form-group col">
                                            <label for="inputREA">REA</label>
                                            <input type="text" name="stat_REA" class="form-control" id="inputREA"
                                                value="<?php echo e(old('stat_REA')); ?>">
                                        </div>
                                        <div class="form-group col">
                                            <label for="inputED">ED</label>
                                            <input type="text" name="stat_ED" class="form-control" id="inputED"
                                                value="<?php echo e(old('stat_ED')); ?>">
                                        </div>
                                        <div class="form-group col">
                                            <label for="inputED2">ED2</label>
                                            <input type="text" name="stat_ED2" class="form-control" id="inputED2"
                                                value="<?php echo e(old('stat_ED2')); ?>">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Test Policy</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <select name="test_policy" class="form-control col-5">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = App\Models\University::REQ_OPTIONS; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($value); ?>"
                                                <?php echo e(old('test_policy') == $value ? 'selected' : ''); ?>><?php echo e($value); ?>

                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Type Of Application</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <select name="type_of_application[]" class="form-control col-5" multiple>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = App\Models\University::TYPES_OF_APPLICATION; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($value); ?>"
                                                <?php echo e(old('type_of_application') == $value ? 'selected' : ''); ?>>
                                                <?php echo e($value); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Toggles</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <div class="form-row">
                                        <div class="form-group col-6">
                                            <label>Top Public School</label>
                                            <br>
                                            <label class="switch">
                                                <input type="checkbox" name="top_public_school"
                                                    <?php echo e(old('top_public_school') == 1 ? 'checked' : ''); ?> value="1">
                                                <span class="slider round"></span>
                                            </label>
                                        </div>
                                        <div class="form-group col-6">
                                            <label>Best Value</label>
                                            <br>
                                            <label class="switch">
                                                <input type="checkbox" name="best_value"
                                                    <?php echo e(old('best_value') == 1 ? 'checked' : ''); ?> value="1">
                                                <span class="slider round"></span>
                                            </label>
                                        </div>
                                        <div class="form-group col-6">
                                            <label>Best Undergraduation Teaching</label>
                                            <br>
                                            <label class="switch">
                                                <input type="checkbox" name="best_undergrad_teaching"
                                                    <?php echo e(old('best_undergrad_teaching') == 1 ? 'checked' : ''); ?>

                                                    value="1">
                                                <span class="slider round"></span>
                                            </label>
                                        </div>
                                        <div class="form-group col-6">
                                            <label>NCAA D1-A football</label>
                                            <br>
                                            <label class="switch">
                                                <input type="checkbox" name="NCAA_D1_football"
                                                    <?php echo e(old('NCAA_D1_football') == 1 ? 'checked' : ''); ?> value="1">
                                                <span class="slider round"></span>
                                            </label>
                                        </div>
                                        <div class="form-group col-6">
                                            <label>Best Undergraduation business programs</label>
                                            <br>
                                            <label class="switch">
                                                <input type="checkbox" name="best_undergrad_business_prog"
                                                    <?php echo e(old('best_undergrad_business_prog') == 1 ? 'checked' : ''); ?>

                                                    value="1">
                                                <span class="slider round"></span>
                                            </label>
                                        </div>
                                        <div class="form-group col-6">
                                            <label>Best Undergraduation nursing programs</label>
                                            <br>
                                            <label class="switch">
                                                <input type="checkbox" name="best_undergrad_nursing_prog"
                                                    <?php echo e(old('best_undergrad_nursing_prog') == 1 ? 'checked' : ''); ?>

                                                    value="1">
                                                <span class="slider round"></span>
                                            </label>
                                        </div>
                                        <div class="form-group col-6">
                                            <label>Best Undergraduation engineering programs</label>
                                            <br>
                                            <label class="switch">
                                                <input type="checkbox" name="best_undergrad_engineering_prog"
                                                    <?php echo e(old('best_undergrad_engineering_prog') == 1 ? 'checked' : ''); ?>

                                                    value="1">
                                                <span class="slider round"></span>
                                            </label>
                                        </div>
                                        <div class="form-group col-6">
                                            <label>Best Undergraduation science programs</label>
                                            <br>
                                            <label class="switch">
                                                <input type="checkbox" name="best_undergrad_computer_sci_prog"
                                                    <?php echo e(old('best_undergrad_computer_sci_prog') == 1 ? 'checked' : ''); ?>

                                                    value="1">
                                                <span class="slider round"></span>
                                            </label>
                                        </div>

                                        <div class="form-group col-6">
                                            <label>Best Undergraduation research</label>
                                            <br>
                                            <label class="switch">
                                                <input type="checkbox" name="best_undergrad_research"
                                                    <?php echo e(old('best_undergrad_research') == 1 ? 'checked' : ''); ?>

                                                    value="1">
                                                <span class="slider round"></span>
                                            </label>
                                        </div>
                                        <div class="form-group col-6">
                                            <label>A+ Schools for B students </label>
                                            <br>
                                            <label class="switch">
                                                <input type="checkbox" name="A_school_for_B_student"
                                                    <?php echo e(old('A_school_for_B_student') == 1 ? 'checked' : ''); ?>

                                                    value="1">
                                                <span class="slider round"></span>
                                            </label>
                                        </div>
                                        <div class="form-group col-6">
                                            <label>Greek (appear on both most in frats & sororities) </label>
                                            <br>
                                            <label class="switch">
                                                <input type="checkbox" name="greek_appereance"
                                                    <?php echo e(old('greek_appereance') == 1 ? 'checked' : ''); ?> value="1">
                                                <span class="slider round"></span>
                                            </label>
                                        </div>
                                        <div class="form-group col-6">
                                            <label>Best study abroad</label>
                                            <br>
                                            <label class="switch">
                                                <input type="checkbox" name="best_study_abroad"
                                                    <?php echo e(old('best_study_abroad') == 1 ? 'checked' : ''); ?> value="1">
                                                <span class="slider round"></span>
                                            </label>
                                        </div>
                                        <div class="form-group col-6">
                                            <label>Co-ops internships </label>
                                            <br>
                                            <label class="switch">
                                                <input type="checkbox" name="co_ops_internship"
                                                    <?php echo e(old('co_ops_internship') == 1 ? 'checked' : ''); ?> value="1">
                                                <span class="slider round"></span>
                                            </label>
                                        </div>
                                        <div class="form-group col-6">
                                            <label>Best studewnt life</label>
                                            <br>
                                            <label class="switch">
                                                <input type="checkbox" name="best_student_life"
                                                    <?php echo e(old('best_student_life') == 1 ? 'checked' : ''); ?> value="1">
                                                <span class="slider round"></span>
                                            </label>
                                        </div>
                                        <div class="form-group col-6">
                                            <label>Best networking</label>
                                            <br>
                                            <label class="switch">
                                                <input type="checkbox" name="best_networking"
                                                    <?php echo e(old('best_networking') == 1 ? 'checked' : ''); ?> value="1">
                                                <span class="slider round"></span>
                                            </label>
                                        </div>
                                        <div class="form-group col-6">
                                            <label>Most diverse campus</label>
                                            <br>
                                            <label class="switch">
                                                <input type="checkbox" name="most_diverse_campus"
                                                    <?php echo e(old('most_diverse_campus') == 1 ? 'checked' : ''); ?> value="1">
                                                <span class="slider round"></span>
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Persoanl Statement</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <select name="req_personal_statement" class="form-control col-5">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = App\Models\University::YES_NO_OPT; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value => $display): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($value); ?>"
                                                <?php echo e(old('req_personal_statement') === $value ? 'selected' : ''); ?>>
                                                <?php echo e($display); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Supplemental Essays</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <select name="req_supplemental_essays" class="form-control col-5">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = App\Models\University::YES_NO_OPT; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value => $display): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($value); ?>"
                                                <?php echo e(old('req_supplemental_essays') === $value ? 'selected' : ''); ?>>
                                                <?php echo e($display); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Link For Suuplements</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" name="link_for_supplemental_essays" placeholder="URL"
                                        value="<?php echo e(old('link_for_supplemental_essays')); ?>" class="form-control">
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Additional Requirement</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <select name="req_additional_req" class="form-control col-5">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = App\Models\University::YES_NO_OPT; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value => $display): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($value); ?>"
                                                <?php echo e(old('req_additional_req') === $value ? 'selected' : ''); ?>>
                                                <?php echo e($display); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Link For Additional requirement</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" name="link_for_additional_req" placeholder="URL"
                                        value="<?php echo e(old('link_for_additional_req')); ?>" class="form-control">
                                </div>
                            </div>


                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Testing</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <select name="req_testing" class="form-control col-5">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = App\Models\University::REQ_OPTIONS; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($value); ?>"
                                                <?php echo e(old('req_testing') == $value ? 'selected' : ''); ?>>
                                                <?php echo e($value); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Total No. of recommendation letter</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="number" name="req_total_letters"
                                        value="<?php echo e(old('req_total_letters')); ?>" class="form-control col-5">
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Recommendation letters</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" name="req_recommendation_letter"
                                        value="<?php echo e(old('req_recommendation_letter')); ?>" class="form-control"
                                        data-toggle="tooltip" data-placement="bottom"
                                        title="Please enter letters by coma seprated">
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Strong Programs</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" name="strong_programs" value="<?php echo e(old('strong_programs')); ?>"
                                        class="form-control" data-toggle="tooltip" data-placement="bottom"
                                        title="Please enter programs by coma seprated">
                                </div>
                            </div>



                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>CDS Testing</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <select name="cds_testing" class="form-control col-5">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = App\Models\University::REQ_OPTIONS; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($value); ?>"
                                                <?php echo e(old('cds_testing') == $value ? 'selected' : ''); ?>>
                                                <?php echo e($value); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>CDS Testing stats</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" name="cds_testing_stats"
                                        value="<?php echo e(old('cds_testing_stats')); ?>" class="form-control">
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>CDS range</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <div class="form-row">
                                        <div class="form-group col-6">
                                            <label>SAT Range</label>
                                            <br>
                                            <input type="text" placeholder="From - To" name="cds_sat_range"
                                                value="<?php echo e(old('cds_sat_range')); ?>" class="form-control">
                                        </div>
                                        <div class="form-group col-6">
                                            <label>ACT Range</label>
                                            <br>
                                            <input type="text" placeholder="From - To" name="cds_act_range"
                                                value="<?php echo e(old('cds_act_range')); ?>" class="form-control">

                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>CDS gpa %</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <div class="form-row">
                                        <div class="form-group col-6">
                                            <label>4.0+</label>
                                            <br>
                                            <input type="number" placeholder="Enter %" name="cds_gpa_400"
                                                value="<?php echo e(old('cds_gpa_400')); ?>" class="form-control">
                                        </div>
                                        <div class="form-group col-6">
                                            <label>3.75 - 3.99</label>
                                            <br>
                                            <input type="number" placeholder="Enter %" name="cds_gpa_375_399"
                                                value="<?php echo e(old('cds_gpa_375_399')); ?>" class="form-control">

                                        </div>
                                        <div class="form-group col-6">
                                            <label>3.5 - 3.74</label>
                                            <br>
                                            <input type="number" placeholder="Enter %" name="cds_gpa_350_374"
                                                value="<?php echo e(old('cds_gpa_350_374')); ?>" class="form-control">
                                        </div>
                                        <div class="form-group col-6">
                                            <label>3.25 - 3.49</label>
                                            <br>
                                            <input type="number" placeholder="Enter %" name="cds_gpa_325_349"
                                                value="<?php echo e(old('cds_gpa_325_349')); ?>" class="form-control">

                                        </div>
                                        <div class="form-group col-6">
                                            <label>3.0 - 3.24</label>
                                            <br>
                                            <input type="number" placeholder="Enter %" name="cds_gpa_300_324"
                                                value="<?php echo e(old('cds_gpa_300_324')); ?>" class="form-control">

                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>CDS acceptance rate (1st Year)</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="number" name="cds_acceptance_rate_1_year"
                                        value="<?php echo e(old('cds_acceptance_rate_1_year')); ?>" class="form-control"
                                        placeholder="Enter %">
                                </div>
                            </div>


                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>GPA Sorting variable</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="number" name="gpa_sorting_var" value="<?php echo e(old('gpa_sorting_var')); ?>"
                                        class="form-control">
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Vibes</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <textarea name="vibes" cols="30" rows="5" class="form-control" placeholder="Vibes"><?php echo e(old('vibes')); ?></textarea>
                                </div>
                            </div>


                        </div>
                        <div class="next-step-btn-main">
                            <button type="submit" class="next-step">Save</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script>
        $(function() {
            $('[data-toggle="tooltip"]').tooltip()
        })
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('adminpanel.default.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/keshavvps/public_html/keshav/KG2/HansC/resources/views/adminpanel/adduniversity.blade.php ENDPATH**/ ?>